POST
https://api.cryptohopper.com/v1/hopper/{id}/arbitrage/market/cancel/{arbitrage_id}
Cancels one market arbitrage: its open orders are cancelled on the exchange and the arbitrage is marked cancelled.
OAuth scope:
read manage About scopes
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/market/cancel/ARBITRAGE_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/market/cancel/ARBITRAGE_ID', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/market/cancel/ARBITRAGE_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/market/cancel/ARBITRAGE_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
arbitrage_id |
string | Required | Market arbitrage ID. |
id |
string | Required | Hopper ID of an arbitrage bot. |
Response
{
"data": "Selected arbitrage(s) are cancelled."
}